function getQueryString(name) {
    var reg = new RegExp('(^|&)' + name + '=([^&]*)(&|$)', 'i');
    var r = window.location.search.substr(1).match(reg);
    if (r != null) {
        return unescape(r[2]);
    }
    return null;
}
function setCookie(name, value, expireday) {
	var exp = new Date();
	exp.setTime(exp.getTime() + expireday*24*60*60*1000); //设置cookie的期限
	document.cookie = name+"="+escape(value)+"; expires"+"="+exp.toGMTString();//创建cookie
}
function getCookie(c_name){
　　　　if (document.cookie.length>0){　　//先查询cookie是否为空，为空就return ""
　　　　　　c_start=document.cookie.indexOf(c_name + "=")　　//通过String对象的indexOf()来检查这个cookie是否存在，不存在就为 -1　　
　　　　　　if (c_start!=-1){ 
　　　　　　　　c_start=c_start + c_name.length+1　　//最后这个+1其实就是表示"="号啦，这样就获取到了cookie值的开始位置
　　　　　　　　c_end=document.cookie.indexOf(";",c_start)　　//其实我刚看见indexOf()第二个参数的时候猛然有点晕，后来想起来表示指定的开始索引的位置...这句是为了得到值的结束位置。因为需要考虑是否是最后一项，所以通过";"号是否存在来判断
　　　　　　　　if (c_end==-1) c_end=document.cookie.length　　
　　　　　　　　return unescape(document.cookie.substring(c_start,c_end))　　//通过substring()得到了值。想了解unescape()得先知道escape()是做什么的，都是很重要的基础，想了解的可以搜索下，在文章结尾处也会进行讲解cookie编码细节
　　　　　　} 
　　　　}
　　　　return ""
　　}　　

$(function() {
	var app = getQueryString("a");
	if(app==null)
	{
		app=getCookie("app");	
	}
	if(app=="1")
	{
		setCookie("app","1",1);
		$('#appdownloaddiv').hide();
		$('#appdownload').hide();
	}
})

//返回顶部
function rightBar() {
    $(window).scroll(function() {
        var scroll_top = $(document).scrollTop();
        if (scroll_top != 0) {
            $("#backtotop").show();
        } else {
            $("#backtotop").hide();
        }
    });
    $("#totop").click(function() {
        location.hash = "top";
        $(".backtotop").hide();
    });
}
rightBar();
//图片后加载	
$(function() {
    $("img").lazyload({
        placeholder: "/template/Ant/wap/images/pic.png",
        effect: "fadeIn",
        threshold: 100
    });
  //删除底部：下载客户端
	$("a.close").click(function(){ 
		$(".bottom").slideToggle();
	});  
});
var murl = "";
var dingwei = 0;
$(function() {
    var translateCallback = function(point) {
        x = point.lat;
        y = point.lng;
        dingwei = 1;
        FF();
    };
    $(".indexmap").click(function() {
		$(".lad").show()
        murl = $(this).attr("data-url");
        window.navigator.geolocation.getCurrentPosition(function(N) {
            var ggPoint = new BMap.Point(N.coords.longitude, N.coords.latitude);
            BMap.Convertor.translate(ggPoint, 0, translateCallback); //真实经纬度转成百度坐标
        },
        function() {
            $.ajax({
                url: "http://api.map.baidu.com/location/ip?ak=2746f5681a98468753cdb64a16c5b3d4&ip=&coor=bd09ll&callback=?",
                dataType: "jsonp",
                async: false,
                success: function(data) {
                    if (data.status == 0) {
                        y = data.content.point.x;
                        x = data.content.point.y;
                        dingwei = 1;
                    }
                }
            });
            FF();
        });
    });
    var FF = function() {
        if (dingwei == 1) {
            window.location.href = murl + "?x=" + x + "&y=" + y;
        }
		else
		{
			$(".lad").hide()
			alert("无法定位当前位置！");	
		}
    };
})